Package org.apache.cxf.common.util

# Interface ASMHelper.AnnotationVisitor

Enclosing interface:
  ASMHelper

public static interface ASMHelper.AnnotationVisitor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `visit(String arg0, Object arg1)`
  `void`
  `visit(String arg0, ASMHelper.ASMType arg1)`
  `ASMHelper.AnnotationVisitor`
  `visitAnnotation(String arg0, String arg1)`
  `ASMHelper.AnnotationVisitor`
  `visitArray(String arg0)`
  `void`
  `visitEnd()`
  `void`
  `visitEnum(String arg0, String arg1, String arg2)`

- ## Method Details

  - ### visit

    void visit(String arg0, ASMHelper.ASMType arg1)

  - ### visit

    void visit(String arg0, Object arg1)

  - ### visitAnnotation

    ASMHelper.AnnotationVisitor visitAnnotation(String arg0, String arg1)

  - ### visitArray

    ASMHelper.AnnotationVisitor visitArray(String arg0)

  - ### visitEnd

    void visitEnd()

  - ### visitEnum

    void visitEnum(String arg0, String arg1, String arg2)